Bug 113471 - Web Inspector: Network. Add a test for resource type of xhr-preflight
Summary: Web Inspector: Network. Add a test for resource type of xhr-preflight
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 20:19 PDT by pdeng6
Modified: 2013-04-16 01:14 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.86 KB, patch)
2013-03-27 20:21 PDT, pdeng6
no flags Details | Formatted Diff | Diff
Patch (3.58 KB, patch)
2013-03-31 19:57 PDT, pdeng6
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pdeng6 2013-03-27 20:19:45 PDT
Add a test case to make sure the type of xhr-preflight item is "xhr" in Network Panel.
This is a sub task according to bug https://bugs.webkit.org/show_bug.cgi?id=112531.
Comment 1 pdeng6 2013-03-27 20:21:55 PDT
Created attachment 195471 [details]
Patch
Comment 2 Vsevolod Vlasov 2013-03-28 05:27:57 PDT
Comment on attachment 195471 [details]
Patch

We already have http/tests/inspector/network-preflight-options.html, can we just add request.type to the content dumped there?
Comment 3 pdeng6 2013-03-31 19:57:55 PDT
Created attachment 195920 [details]
Patch
Comment 4 pdeng6 2013-03-31 20:07:53 PDT
(In reply to comment #2)
> (From update of attachment 195471 [details])
> We already have http/tests/inspector/network-preflight-options.html, can we just add request.type to the content dumped there?

yep,
Note that "id=3&deny=yes" was classified as "other".
The reason is default type for a "willSendRequest" in front-end is "other", and it will be updated when receive corresponding response, but "id=3&deny=yes" will fail and never receive a response... "other" is a little confused but I think it make sense.

thanks
Pan
Comment 5 WebKit Commit Bot 2013-04-16 01:14:17 PDT
Comment on attachment 195920 [details]
Patch

Clearing flags on attachment: 195920

Committed r148500: <http://trac.webkit.org/changeset/148500>
Comment 6 WebKit Commit Bot 2013-04-16 01:14:19 PDT
All reviewed patches have been landed.  Closing bug.